UbixOS V2 2.0

Data Fields
netif Struct Reference

`#include <netif.h>`

Collaboration diagram for netif:

## Data Fields
u8_t | flags
u8_t | hwaddr [6U]
u8_t | hwaddr_len
netif_input_fn | input
netif_linkoutput_fn | linkoutput
u16_t | mtu
char | name [2]
struct netif * | next
u8_t | num
void * | state

## Detailed Description

Generic data structure used for all lwIP network interfaces. The following fields should be filled in by the initialization function for the device driver: hwaddr_len, hwaddr[], mtu, flags

Definition at line 233 of file netif.h.

## Field Documentation

## ◆ flags

u8_t netif::flags

flags (

See also
  Flags)

Definition at line 313 of file netif.h.

Referenced by netif_add(), netif_input(), netif_remove(), netif_set_down(), netif_set_link_down(), netif_set_link_up(), and netif_set_up().

## ◆ hwaddr

u8_t netif::hwaddr[6U]

link level hardware address of this interface

Definition at line 311 of file netif.h.

## ◆ hwaddr_len

u8_t netif::hwaddr_len

number of bytes used in hwaddr

Definition at line 309 of file netif.h.

## ◆ input

netif_input_fn netif::input

This function is called by the network device driver to pass a packet up the TCP/IP stack.

Definition at line 252 of file netif.h.

## ◆ linkoutput

netif_linkoutput_fn netif::linkoutput

This function is called by ethernet_output() when it wants to send a packet on the interface. This function outputs the pbuf as-is on the link medium.

Definition at line 263 of file netif.h.

Referenced by ethernetif_init().

## ◆ mtu

u16_t netif::mtu

maximum transfer unit (in bytes)

Definition at line 307 of file netif.h.

## ◆ name

char netif::name[2]

descriptive abbreviation

Definition at line 315 of file netif.h.

Referenced by ethernetif_init(), loopif_init(), netif_find(), and netif_set_default().

## ◆ next

struct netif* netif::next

pointer to next in linked list

Definition at line 235 of file netif.h.

Referenced by netif_find(), and netif_remove().

## ◆ num

u8_t netif::num

number of this interface

Definition at line 317 of file netif.h.

Referenced by netif_add(), and netif_find().

## ◆ state

void* netif::state

This field can be set by the device driver and could point to state information for the device.

Definition at line 287 of file netif.h.

Referenced by ethernetif_init(), ethernetif_input(), and netif_add().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/netif.h